For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
LogoLogo
DocumentationAPI Reference
  • API Reference
      • GETGet locations
API ReferenceLocations

Get locations

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2.0/location
GET
/2.0/location
$curl -G https://sandbox-api.shipbob.com/2.0/location \
> -H "Authorization: Bearer <token>" \
> -d IncludeInactive=true \
> -d ReceivingEnabled=true \
> -d AccessGranted=true
1[
2 {
3 "abbreviation": "string",
4 "access_granted": true,
5 "attributes": [
6 "string"
7 ],
8 "id": 0,
9 "is_active": true,
10 "is_receiving_enabled": true,
11 "is_shipping_enabled": true,
12 "name": "string",
13 "region": {
14 "id": 0,
15 "name": "string"
16 },
17 "services": [
18 {
19 "address": {
20 "address1": "string",
21 "address2": "string",
22 "city": "string",
23 "country": "string",
24 "email": "string",
25 "name": "string",
26 "phone_number": "string",
27 "state": "string",
28 "zip_code": "string"
29 },
30 "enabled": true,
31 "service_type": "Receiving"
32 }
33 ],
34 "timezone": "string"
35 }
36]
Was this page helpful?
Previous

Update Tracking Uploaded Status for Multiple Shipments by Shipment Id

Next

Get Product

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

IncludeInactivebooleanOptional
Whether the inactive locations should be included or not
ReceivingEnabledbooleanOptional
Return all the receiving enabled locations
AccessGrantedbooleanOptional
Return all the access granted locations

Response

Success
object
OR
object
OR
object
OR
object

Errors

401
Unauthorized Error
403
Forbidden Error